Bug 1462360 - Class 'SqlParser\\Lexer' not found
Class 'SqlParser\\Lexer' not found
Status: NEW
Product: Fedora
Classification: Fedora
Component: phpMyAdmin (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 16:22 EDT by eduardo.perezesteban
Modified: 2017-11-16 13:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eduardo.perezesteban 2017-06-16 16:22:14 EDT
Description of problem:
phpMyAdmin does not work at all

Version-Release number of selected component (if applicable):
4.6.6-1.fc25

How reproducible:
Allways

Steps to Reproduce:
1. "dnf install phpMyAdmin"
2. Browse to "http://localhost/phpMyAdmin/" and log in

Actual results:
Browser displays a blank page

Expected results:
Browser displays phpMyAdmin's main page

Additional info:
PHP Fatal error:  Uncaught Error: Class 'SqlParser\\Lexer' not found in /usr/share/phpMyAdmin/libraries/Util.php:615\nStack trace:\n#0 /usr/share/phpMyAdmin/libraries/DatabaseInterface.php(95): PMA\\libraries\\Util::mysqlDie('#1193 - Unknown...', 'SET lc_messages...')\n#1 /usr/share/phpMyAdmin/libraries/DatabaseInterface.php(1513): PMA\\libraries\\DatabaseInterface->query('SET lc_messages...', Object(mysqli), 1)\n#2 /usr/share/phpMyAdmin/libraries/DatabaseInterface.php(2339): PMA\\libraries\\DatabaseInterface->postConnect(Object(mysqli))\n#3 /usr/share/phpMyAdmin/libraries/common.inc.php(866): PMA\\libraries\\DatabaseInterface->connect('kodi', 'wXn2UZ8OJFJF', false)\n#4 /usr/share/phpMyAdmin/index.php(13): require_once('/usr/share/phpM...')\n#5 {main}\n  thrown in /usr/share/phpMyAdmin/libraries/Util.php on line 615
Comment 1 Remi Collet 2017-06-19 01:13:09 EDT
Is php-udan11-sql-parser installed ?
Comment 2 Remi Collet 2017-06-19 02:48:31 EDT
Cannot reproduce on a fresh F25 installation.
Comment 3 eduardo.perezesteban 2017-06-19 16:12:43 EDT
Yes, "dnf install phpMyAdmin" also installs "php-udan11-sql-parser" version "3.4.17-1.fc25".
Comment 4 Fedora End Of Life 2017-11-16 13:57:25 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.